a.rbutton, span.rbutton, del.rbutton{
    
    display:-moz-inline-box;
    display:inline-block;
    cursor:pointer;
    border:none;
    font-size:0;
    line-height:0;
    
    /*
    for Safari, read this first
    http://creativebits.org/webdev/safari_background_repeat_bug_fix
    */
    background-position:0 0;
    background-repeat:no-repeat;
    height:30px;
    text-decoration:none;
    color:#2e523b;
    font-style:normal;
    margin:0 6px 0px 0;
    padding:0 10px 0 0;    
    vertical-align:middle;    
    
    padding-top:-2px;
    _position:relative;
    _width:10px;    
    _overflow-y:hidden;

    FONT-WEIGHT: normal;
}

a.rbutton, span.rbutton, del.rbutton,
a.rbutton span, span.rbutton rbutton, span.rbutton input, del.rbutton span{
    background-image:url(images/form_buttons.png);
    _background-image:url(images/form_buttons.gif);
}

a.rbutton span, span.rbutton rbutton, span.rbutton input, del.rbutton span{
    
    white-space:nowrap;
    cursor:pointer;
    color:#222;
    display:-moz-inline-box;
    display:inline-block;
    line-height:1;
    letter-spacing:0 !important;
    font-family:sans-serif; /* == safari firefox...etc == */
    font-family/**/:/**/"MS P¥´¥·¥Ã¥¯"; /* == ie6 & 7 == */
    font-size:12px !important;
    font-style:normal;    
    background-color:transparent;
    background-position:100% 0;
    background-repeat:no-repeat;
    height:30px;
    padding:8px 20px 2px 10px;
    margin:0 -16px 0 10px;
    border:none;
    vertical-align:text-top;
    zoom:1;
    _position:relative;
    _padding-left:0px;
    _padding-right:12px;
    _margin-right:-10px;    
    _display:block;
    _top:0;
    _right:-5px;
    
}

span.rbutton rbutton{
   line-height:2.5;/*Opera need this*/
}

html.safari a.rbutton span, 
html.safari del.rbutton span{
  line-height:1.3;
}

html.safari span.rbutton rbutton{
  line-height:2.6;
}

html.safari a.rbutton:focus,
html.safari span.rbutton rbutton:focus{
    outline:none;
}

del.rbutton{
    /* cursor:not-allowed;    */
    background-position:0 -120px;
}

del.rbutton span{
    cursor:default;
    color:#aaa !important;
    background-position:100% -120px;
}

span.rbutton rbutton, span.rbutton input{
    padding-top:0px;
    line-height:2.5;/*Opera need this*/
}

/** optional **/
/*
a.rbutton:visited{
    color:#aaa;
}
*/

/*Hover Style*/

a.rbutton:hover, 
span.rbutton:hover,
a.rbutton:focus, 

a.dom-rbutton-focus, 
span.rbutton-behavior-hover{
    background-position:0 -60px;
    color:#222;
    text-decoration:none;

    padding:0 10px 0 0;
    padding-top:-2px;
}

a.rbutton:hover span, 
span.rbutton:hover rbutton, 
a.rbutton:focus span, 

span.rbutton-behavior-hover rbutton, 
span.rbutton-behavior-hover input{
    background-position:100% -60px;
    FONT-WEIGHT: normal;
}

a.rbutton:active, a.rbutton:focus span{
    color:#444;
}

del.rbutton-behavior-hover, del.rbutton:hover{
    background-position:0 -180px;
    /* cursor:not-allowed; */
}

del.rbutton-behavior-hover span, del.rbutton:hover span{
    background-position:100% -180px;
    /* cursor:not-allowed; */
}

/*Optional hack for IE6 to simulate :hover selector*/

span.rbutton rbutton, del.rbutton span, span.rbutton input{
    _behavior:expression(
        (function(el){

            if( typeof( behavior_onMouseEnter) == 'undefined'){

                
                behavior_onMouseEnter = function(el){
                    
                    var dEl = this.parentNode;                    
                    var sClass = dEl.className ;
                    dEl.__defaultClassName = sClass ;
                    dEl.className = sClass + ' rbutton-behavior-hover';    
                    this.setCapture();
                };

                behavior_onMouseLeave = function(el) {
                    var dEl = this.parentNode;
                    dEl.className = dEl.__defaultClassName ;
                    dEl.__defaultClassName = undefined;
                    this.releaseCapture();
                };


            };
            
            el.runtimeStyle.behavior = 'none';
            el.onmouseenter = behavior_onMouseEnter;
            el.onmouseleave = behavior_onMouseLeave;
            
        })(this));
}
